Grin + Grin Wallet 1.1.0 Beta Release

#1

As discussed in yesterday’s development meeting, we’re doing beta releases of 1.1.0 for community testing and feedback before doing the actual releases.

Major additions are:

  • Split wallet into separate component
  • Windows 10 Support
  • Dandelion ++ Implementation
  • Initial version of wallet V2 API

Builds of the 1.1.0 Beta 1 are now available here (unfortunately Windows needs to be built separately due to Travis CI issues):

Server/Node/Whatever you want to call it:

Wallet:

Also, the V2 Wallet API has full rustdoc documentation, complete with working JSON-RPC examples. The docs for the wallet API can be found at:

https://docs.rs/grin_wallet_api/1.1.0-beta.1/grin_wallet_api/

It would be great to see as many people as possible give these a try, especially wallet developers for feedback on the new V2 API. Keep in mind that the focus on this release was getting the infrastructure for the V2 API in place, so there aren’t currently a huge number of additions from the existing V1 REST API (plenty to come in future releases).

Other things worth focusing on:

  • Upgrade experience
  • Interaction between current versions and earlier versions of wallet and server (1.1.0 wallet can still send to older wallets with the -v flag in the send command

Thanks, and enjoy!

11 Likes
Yeastplume - Progress update thread - Mar 19 to Sep 19
Error sending transaction to tmgox
#2

Runs like a charm, thanks!

#3

Hi. I am running an old Windows 7 pro 64-bit notebook PC.

The beta executable did not run.

Really looking forward to a Windows wallet.

Thank you

#4

Got help in the Discord. Thank you

#5

Hello, use v2 api ( https://docs.rs/grin_wallet_api/1.1.0-beta.1/grin_wallet_api/trait.OwnerRpc.html#tymethod.initiate_tx) with {“target_slate_version”: 1} params, generate a hex version of slate file of v1, which can not recognize by grin wallet v 1.0.3
how to solve it?

However, use cmd “grin send -v 1 -m file 0.1” generate array version of slate file of v1; and works for v1.03 wallet.

Also I found an issue https://github.com/mimblewimble/grin-wallet/issues/6 relate this.

Any way to fix it? thanks

#6

you can downgrade the slate version by explicitly passing it as an argument with –slate version like this (assuming you want to send form a newer version to an old one)

grin-wallet send --dest https://donations.grin-tech.org/ --slate_version 0 1

#7

yes, i knew the grin-wallet cmd with parameter -v or --slate_version could get things done.

however, I think the owner_api was not working.

but, i think this pr will fix it https://github.com/mimblewimble/grin-wallet/pull/85#issuecomment-484863732

1 Like